import { put, call } from "redux-saga/effects";
import * as actions from './../../../actions/auth/logIn'

// worker-saga for logging in

const url = '';

export default function*() {
    try {
        yield put(actions.logInRequest())
        const payload = yield call(() => { 
            fetch(url).then(res => res.json()) 
        })
        yield put(actions.logInRequestSucces(payload))
    }
    catch (exception) {
        yield put(actions.logInRequestFailure(exception.message))
    }
}