import { createStore, applyMiddleware } from 'redux';
import { logger } from 'redux-logger'
import createSagaMiddleware from "redux-saga";

import combinedReducers from './../reducers';
import saga from './../saga'

const sagaMiddleware = createSagaMiddleware();

export default createStore(
    combinedReducers, 
    applyMiddleware(sagaMiddleware, logger)
);

sagaMiddleware.run(saga);